/* DateTime.java

	Purpose:
		
	Description:
		
	History:
		Oct 25, 2010 4:23:06 PM, Created by ashish

Copyright (C) 2010 Potix Corporation. All Rights Reserved.

*/
package org.zkoss.zssex.formula.fn;

import org.zkoss.poi.ss.formula.eval.ValueEval;

/**
 * @author ashish
 *
 */
public class DateTimeFns {

	public DateTimeFns() {
		
	}
	
	public static final ValueEval dateValue(ValueEval[] args, int srcRowIndex, int srcColumnIndex) {
		return DateTimeFunctionImpl.DATEVALUE.evaluate(args, srcRowIndex, srcColumnIndex);
	}
	public static final ValueEval hour(ValueEval[] args, int srcRowIndex, int srcColumnIndex) {
		return DateTimeFunctionImpl.HOUR.evaluate(args, srcRowIndex, srcColumnIndex);
	}
	public static final ValueEval minute(ValueEval[] args, int srcRowIndex, int srcColumnIndex) {
		return DateTimeFunctionImpl.MINUTE.evaluate(args, srcRowIndex, srcColumnIndex);
	}
	public static final ValueEval second(ValueEval[] args, int srcRowIndex, int srcColumnIndex) {
		return DateTimeFunctionImpl.SECOND.evaluate(args, srcRowIndex, srcColumnIndex);
	}
	public static final ValueEval weekDay(ValueEval[] args, int srcRowIndex, int srcColumnIndex) {
		return DateTimeFunctionImpl.WEEKDAY.evaluate(args, srcRowIndex, srcColumnIndex);
	}
	
	//ZSS-1014
	public static final ValueEval eomonth(ValueEval[] args, int srcRowIndex, int srcColumnIndex) {
		return DateTimeFunctionImpl.EOMONTH.evaluate(args, srcRowIndex, srcColumnIndex);
	}
}
